DeutschEnglishEspanol中国简化

UliCMS 2017.3 "Tanzverbot" ab jetzt verfügbar


Datum: 09.05.2017 17:50

Das neue UliCMS Release 2017.3 kann ab jetzt installiert werden. Neu in dieser Version sind neben Neuerungen für Endanwender auch zahlreiche neue Klassen und Funktionen für Endanweder.

weiterlesen...

Suche für Paketquelle


Datum: 03.04.2017 13:09

Es ist ab jetzt möglich, über die Suchfunktion auf dieser Seite die Pakete in der Paketquelle zu durchsuchen. Es ist sinnvoll, die Versionsnummer der UliCMS Version, für die man ein Paket sucht mit im Suchbegriff anzugeben.

weiterlesen...

UliCMS 2017.2 "Nudelzupfer" ist da!


Datum: 27.02.2017 19:59

UliCMS 2017.2 ist das UliCMS Release für das erste Quartal 2017. UliCMS 2017.2 ermöglicht Webmastern, weiterhin ihre Webseiten zu betreiben.

UliCMS 2017.2 enthält eine Vielzahl neuer Features und Verbesserungen. Dazu gehören:

  • Neues Backend Design
  • Paketmanagement und Updatesystem nutzt nun https://
  • Funktion ModuleHelper::getFirstPageWithModule() hinzugefügt
  • DBMigrator hinzugefügt
weiterlesen...

Ankündigung der neuen Features in UliCMS 2017.2


Datum: 04.02.2017 13:56
weiterlesen...

Fehlermeldung: Fatal Error: Call to undefined function boolval()


Datum: 03.01.2017 18:51

Problem:

UliCMS funktioniert nicht. Ich bekomme lediglich die folgende Fehlermeldung angezeigt:

Fatal Error: Call to undefined function boolval()

Informationen zur Umgebung:

UliCMS 2017.1, PHP < 5.5

Ursache:

Die Funktion boolval() ist erst ab PHP 5.5 verfügbar. UliCMS enthält eigentlich eine Implementation für diese Funktion für ältere PHP Versionen. Die Funktion boolval() fehlt jedoch beim Release von UliCMS 2017.1.

Lösung:

Stellen Sie auf PHP 5.5 oder eine neuere PHP Version um.

Wenn das nicht möglich ist, fügen Sie ans Ende der Datei cms-config.php hinter der letzten geschweiften Klammer den folgenden Code hinzu:

// boolval PHP 5.4 Implementation with checking version
if ( !function_exists( 'boolval' ) ) {
    function boolval( $my_value ) {
    return (bool)$my_value;
    }
}

Dieses Problem wird im nächsten UliCMS Release behoben werden, so dass UliCMS auch wieder mit PHP ab Version 5.3 kompatibel sein wird.

weiterlesen...



NeuereÄltere